#!/bin/bash
# NAME            renameForCM.sh
# SUMMARY         Script for renaming files that will go into CM Synergy
# VERSION         %version: 1 %
#
#        Copyright 2012 NetApp, Inc. All Rights Reserved.
#
# DESCRIPTION: CM Synergy uses '-' as a delimiter, so filenames and paths
# using that character are not allowed. This script uses the rename.sh
# script to change "-" to "%%", which is the convention used by the CM
# Synergy tools.

# The first run through will rename the base dir
# The 2nd time through will rename the subdirs
./rename.sh -M 1 -s "-" -e "%%" -X
./rename.sh -M 30 -s "-" -e "%%" -X

# Now, rename the actual files
./rename.sh -M 30 -s "-" -e "%%"

