/***************************************************************************
 *                                                                         *
 *  Copyright 2003-2011 LSI Corporation.  All rights reserved.             *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corporation.  The  *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  iopiProtos.h
 *          Title:  IOP Interface
 *     Programmer:
 *  Creation Date:  October 23, 2002
 *
 *
 * Description
 * ------------
 *
 *-------------------------------------------------------------------------
 */

#ifndef IOPI_PROTOS_H_INCLUDED
#define IOPI_PROTOS_H_INCLUDED


/* Generic */
void    iopiDelayUSec( U32 USec );
void    iopinitDelayUSec( U32 USec );
ISTATUS iopiDiscoveryComplete(IOPI_SUBSYSTEM SubSystem);
ISTATUS iopiEvent(PTR_MPI2_EVENT_NOTIFICATION_REPLY PtrMsg, U32 Mid, IOPI_SUBSYSTEM SubSystemId, U32 SendEventToHost);
__clnk void iopiFault( U32 FaultCode);
#if (DEBUG) || (IOC_UART_SUPPORT)
void iopDumpStack(U32 Source, PPC4XX_EXCEPTION_STACK_FRAME *ptrStack, BOOL Ringbuffer);
#endif
ISTATUS iopiFrameOwned(IOPI_SUBSYSTEM SubSys, U32 Mid);
ISTATUS iopiFreeFrame(PTR_MSG_IOC PtrMsg, U32 Mid);
ISTATUS iopiGetFrame(IOPI_SUBSYSTEM SubSystem, PTR_MSG_IOC *PtrPtrMsg, PU32 PtrMid);
ISTATUS iopiGetFrameCritical(IOPI_SUBSYSTEM SubSystem, PTR_MSG_IOC *PtrPtrMsg, PU32 PtrMid, U32 Frame, U32 FaultCode);
void    iopiGetTimeSinceStartOfDayUsec(PU64 PtrReturnCurrentTime);
ISTATUS iopiMemoryMove(U32 IocNum, PTR_MPI2_SGE_IO_UNION PtrSge, void * PtrEffectiveAddr, U32 Length, U32 SkipCount, PU32 PtrDataTransferred, U32 Flags);
ISTATUS iopiIstwiReserveBus(IOPI_SUBSYSTEM SubSys, void (*Fnct)(void), U8 BusNum, U32 IocNum);
ISTATUS iopiIstwiReleaseBus(IOPI_SUBSYSTEM subSys, U8 BusNum);
ISTATUS iopiIstwiReset(IOPI_SUBSYSTEM SubSys, U32 DevIndex);
ISTATUS iopiIstwiIORequest(PTR_MSG_IOC PtrMsg, U32 IocNum, IOPI_SUBSYSTEM SubSys);
void    iopiDaSepReset(U32 DevIndex);
ISTATUS iopiMsgComplete(PTR_MSG_IOC PtrMsg, U32 Mid, PLI_DEV_HANDLE DevHandle, U32 Length, IOPI_SUBSYSTEM SubSystemId);
ISTATUS iopiOutOfResource(IOPI_SUBSYSTEM Subsys, IOPI_RESOURCE_TYPE ResType);

void    iopiTracePrint0(long long Pattern, U32 Index);
void    iopiTracePrint1(long long Pattern, U32 Index, U32 Arg1);
void    iopiTracePrint2(long long Pattern, U32 Index, U32 Arg1, U32 Arg2 );
void    iopiTracePrint3(long long Pattern, U32 Index, U32 Arg1, U32 Arg2, U32 Arg3 );
void    iopiTracePrint4(long long Pattern, U32 Index, U32 Arg1, U32 Arg2, U32 Arg3, U32 Arg4 );
void    iopiDiagConsolePrint0(char * FmtStr);
void    iopiDiagConsolePrint1(char * FmtStr, U32 Arg1);
void    iopiDiagConsolePrint2(char * FmtStr, U32 Arg1, U32 Arg2 );
void    iopiDiagConsolePrint3(char * FmtStr, U32 Arg1, U32 Arg2, U32 Arg3 );
void    iopiDiagConsolePrint4(char * FmtStr, U32 Arg1, U32 Arg2, U32 Arg3, U32 Arg4 );
#if (DEBUG) || (IOC_DIAG_SUPPORT)
ISTATUS iopiExtendedBufferDataDump( U8 ExtBufferType, PU8 PtrData, U32 Length );
ISTATUS iopiExtendedBufferRelease( U8 ExtBufferType );
#endif /* (DEBUG) || (IOC_DIAG_SUPPORT) */
#if COMPILE_OPTION_SAS_PORT_VIRT
ISTATUS iopiFillRxEEDPBuf(void * PtrSMPResp,void * PtrRxEEDPBuf,U32 len);
#endif

ISTATUS iopiSCSIIOComplete(PTR_MSG_IOC PtrMsg, U32 Mid, PLI_DEV_HANDLE DevHandle, U16 TaskTag);
ISTATUS iopiSCSIIOCompleteError(PTR_MSG_IOC PtrMsg, U32 Mid, PLI_DEV_HANDLE DevHandle, U16 TaskTag,
                                U8  SCSIStatus, U8 SCSIState,U16 IOCStatus, U32 IOCLogInfo, U32 TransferCount,
                                U32 SenseCount, U32 ResponseInfo, U32 BiDirTransferCount, U32 EEDPDataOffset );

ISTATUS iopiTaskMgmt( PTR_MSG_IOC PtrMsg, PLI_DEV_HANDLE DevHandle, IOPI_SUBSYSTEM SubSystemId );
void    iopiTaskMgmtComplete( PTR_MSG_IOC PtrMsg, U32 Mid, U16 IOCStatus, U32 IOCLogInfo, U32 TerminationCount, U8 ResponseCode );

ISTATUS iopiTimerCfgFnct(IOP_TIMER_HANDLE Handle, void (*Fnct)(void *), void *Arg);
ISTATUS iopiTimerChk(IOP_TIMER_HANDLE Handle, PU32 Val);
ISTATUS iopiTimerCreate(IOPI_SUBSYSTEM SubSystemId, IOP_TIMER_HANDLE *Handle,
                        void (*Fnct)(void *), void *Arg, U32 Sixteenths);
ISTATUS iopiTimerFree(IOP_TIMER_HANDLE Handle);
ISTATUS iopiTimerSet(IOP_TIMER_HANDLE Handle, U32 Sixteenths);
ISTATUS iopiTimerStop(IOP_TIMER_HANDLE Handle);
ISTATUS iopiTimerReset(IOP_TIMER_HANDLE Handle);

ISTATUS iopiConfig(U32 IocNum, U32 Action, U32 PageType, U32 PageNum, U32 PageAddress, PU32 Length, PTR_PAGE_IOC *PtrPtrIocConfig);
ISTATUS iopiConfigComplete(ISTATUS Istatus, U32 LogInfo, U32 Context, void * AltConfigPageBuffer, U32 CompletePendingRequest);

ISTATUS iopiMemCmp(const void * Ptr1, const void * Ptr2, U32 Len);
void *  iopiMemSet(void *  Ptr1, U32 Var, U32 Len);
void *  iopiIORemap(U32 High, U32 Low, U32 Size);
void    iopiIOUnmap(void * Addr);
void *  iopiMemCpy(void *  PtrDest, const void * PtrSrc, U32 Len);

void iopiDiagConsoleRegister(char * CmdName, const DIAG_COMMAND_TABLE * SubTable, char * HelpStr);
void iopiDiagCmdReadMem(U8 * Addr, U32 NumBytes);

ISTATUS iopiTargetIoComplete(PTR_MSG_IOC PtrMsg, U32 Mid);
ISTATUS iopiTargetIoCompleteError(PTR_MSG_IOC PtrMsg, U32 Mid,
                                  U16 IOCStatus, U32 IOCLogInfo,
                                  U16 IoIndex,
                                  U32 TransferCount, U32 BiDirTransferCount);
void    iopiTargetProcessCompletions(void);
ISTATUS iopiTargetSendCommandBufferReply(MPI2_TARGET_COMMAND_BUFFER_REPLY_DESCRIPTOR BufferReply);

#if CBB_COMPILE_OPTION_SRIOV_EN
ISTATUS iopiDevIsVisible(PLI_DEV_HANDLE DevHandle, U32 IocNum);
#endif

/* FPE */
ISTATUS iopiFPEHandleException(PTR_MSG_IOC PtrMsg, U32 Mid, U32 ExceptionStatus);
ISTATUS iopiTimedOutIOFound(U32 Mid, PLI_DEV_HANDLE DeviceHandle);
ISTATUS iopiTimeoutNotification(U32 TimerBucket, U32 BucketCount);
ISTATUS iopiRequestChangeFrameOwner( const IOPI_SUBSYSTEM SubSystem, const U32 Mid );

/* IR-only */
ISTATUS iopiAddLogEntry(PTR_MPI2_LOG_0_ENTRY PtrLogEntry);
ISTATUS iopiResourceBufferRequest(U32 Size);
ISTATUS iopiResourceBufferGetInfo(PU8 *PtrBaseAddress,PU32 PtrCurrentSize, PU32 PtrMaxSize);
void    iopiStartSASIoUnitControl( U32 IocNum, PTR_MSG_IOC PtrMsg, U32 Mid, IOPI_SUBSYSTEM SubSystemId );
ISTATUS iopiStartScsiIo(IOPI_SUBSYSTEM SubSystem, PTR_MSG_IOC PtrMsg, U32 Mid, PLI_DEV_HANDLE DevHandle, U32 SkipCount );


ISTATUS iopiGPIORead ( U8 GpioNum, PU8 PtrGpioValue );
ISTATUS iopiGPIOWrite ( U8 GpioNum,U8 GpioValue );
void    iopiSetNvsramWriteEnable(U32 Enable);

void *iopiDynMalloc(U32 reqSize, U32 memFlag);
void  iopiFree(void *ptr);

/* create CLZ macro */
#if defined(__ppc) || defined(__PPC__)
    #ifdef __ghs__
        #define clz(x) __CLZ32(x)
    #elif __GNUC__
        INLINE  U32 clz(U32 x32)
        {
            U32 count;
            __asm__ ("cntlzw    %0,%1" : "=r"(count) : "r"(x32));
            return count;
        }
    #else
        #error "Unknown PowerPC toolchain!"
    #endif
#else
    /* Ignore this error if doing a bug check (GNU C) */
    #if !MEM_TEST_CFG && !defined(NVDATA_UTILITY)
    #error "Invalid processor type!"
    #else
    #define clz(x) 0
    #endif
#endif

#endif

