/***************************************************************************
 *                                                                         *
 *  Copyright (C) 2012 LSI Corporation.  All rights reserved.              *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corporation. The   *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  i2cDebug.h
 *          Title:  I2C Debug macros and defintions
 *     Programmer:  Naresh Bhalala
 *  Creation Date:  01 June 2012
 *
 *
 * Description
 * ------------
 * This include file contains I2C debug macros and defines.
 *
 *-------------------------------------------------------------------------
 */

#ifndef I2C_DEBUG_HEADER
#define I2C_DEBUG_HEADER

/* FLASH PRINT Constants
 * WARNING: this section is auto-generated.  Changes here will be overwritten
 * Make changes in i2cDebugTmpl.h or i2cDebugStrings.h
 */

#define I2C_DBG_STR_MAX_INDEX		41

/* AUTOGEN_INDICES_START - NOTE: this token is needed for the build process */
#define I2C_DBG_STR_HAL_DRIVER_USAGE			20481
#define I2C_DBG_STR_HAL_DRIVER_INVALID_MAJOR_NO			20482
#define I2C_DBG_STR_INT_DRIVER_NEWLINE			20483
#define I2C_DBG_STR_INT_DRIVER_PRINT_DATA			20484
#define I2C_DBG_STR_INT_DRIVER_INIT_INVALID_MAJOR_NO			20485
#define I2C_DBG_STR_INT_DRIVER_INIT_IOREMAP_FAIL			20486
#define I2C_DBG_STR_INT_DRIVER_INIT_INITIALIZE			20487
#define I2C_DBG_STR_INT_DRIVER_OPEN			20488
#define I2C_DBG_STR_INT_DRIVER_OPEN_FAIL			20489
#define I2C_DBG_STR_INT_DRIVER_CLOSE			20490
#define I2C_DBG_STR_INT_DRIVER_READ_FAIL			20491
#define I2C_DBG_STR_INT_DRIVER_READ_REC			20492
#define I2C_DBG_STR_INT_DRIVER_WRITE_CONFIG			20493
#define I2C_DBG_STR_INT_DRIVER_WRITE_COUNT			20494
#define I2C_DBG_STR_INT_DRIVER_WRITE_CMD			20495
#define I2C_DBG_STR_INT_DRIVER_WRITE_INVALID_BUS_NO			20496
#define I2C_DBG_STR_INT_DRIVER_WRITE_INVALID_SPEED			20497
#define I2C_DBG_STR_INT_DRIVER_WRITE_PROBE_CHIP_INFO			20498
#define I2C_DBG_STR_INT_DRIVER_WRITE_NOK			20499
#define I2C_DBG_STR_INT_DRIVER_WRITE_NOK_LA			20500
#define I2C_DBG_STR_INT_DRIVER_WRITE_NOK_ICT			20501
#define I2C_DBG_STR_INT_DRIVER_WRITE_NOK_XFRA			20502
#define I2C_DBG_STR_INT_DRIVER_WRITE_NOK_TOUT			20503
#define I2C_DBG_STR_INT_DRIVER_WRITE_FAIL			20504
#define I2C_DBG_STR_INT_DRIVER_WRITE_INVALID_BUS			20505
#define I2C_DBG_STR_INT_DRIVER_WRITE_INVALID_SPD			20506
#define I2C_DBG_STR_INT_DRIVER_WRITE_READING_SUCCESS			20507
#define I2C_DBG_STR_INT_DRIVER_WRITE_INVAILD_BUS			20508
#define I2C_DBG_STR_INT_DRIVER_WRITE_SUCCESS			20509
#define I2C_DBG_STR_INT_DRIVER_WRITE_TXBYTE			20510
#define I2C_DBG_STR_INT_DRIVER_WRITE_TX			20511
#define I2C_DBG_STR_INT_DRIVER_WRITE_MANUAL_STOP_FAIL			20512
#define I2C_DBG_STR_INT_DRIVER_WRITE_SEQ_DATA_REC			20513
#define I2C_DBG_STR_INT_DRIVER_WRITE_SEQ_Rx_DATA			20514
#define I2C_DBG_STR_INT_DRIVER_WRITE_MONITOR_SDA_FALL_STS			20515
#define I2C_DBG_STR_INT_DRIVER_WRITE_MONITOR_SCL_FALL_STS			20516
#define I2C_DBG_STR_INT_DRIVER_WRITE_MONITOR_SDA_STS			20517
#define I2C_DBG_STR_INT_DRIVER_WRITE_MONITOR_SCL_STS			20518
#define I2C_DBG_STR_INT_DRIVER_WRITE_MONITOR_INVALID_CMD			20519
#define I2C_DBG_STR_INT_DRIVER_WRITE_INVALID_CMD			20520
#define I2C_DBG_STR_INT_DRIVER_WRITE_RETURN			20521
/* AUTOGEN_INDICES_END   - NOTE: this token is needed for the build process */
/* WARNING: the above defines are auto-generated from i2cDebugStrings.h */


/* WARNING: this section is auto-generated.  Changes here will be overwritten */
/* DIAG_PARSE_START_STRING_PARAM_SECTION Note: This token marks the start of the string parameter section for the parser*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_0 0 	/*P-000*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_1 0 	/*P-001*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_2 1 	/*P-002*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_3 0 	/*P-003*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_4 1 	/*P-004*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_5 0 	/*P-005*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_6 0 	/*P-006*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_7 0 	/*P-007*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_8 0 	/*P-008*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_9 1 	/*P-009*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_10 0 	/*P-010*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_11 0 	/*P-011*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_12 0 	/*P-012*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_13 1 	/*P-013*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_14 1 	/*P-014*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_15 1 	/*P-015*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_16 1 	/*P-016*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_17 0 	/*P-017*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_18 0 	/*P-018*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_19 0 	/*P-019*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_20 0 	/*P-020*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_21 0 	/*P-021*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_22 0 	/*P-022*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_23 0 	/*P-023*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_24 0 	/*P-024*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_25 0 	/*P-025*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_26 0 	/*P-026*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_27 0 	/*P-027*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_28 0 	/*P-028*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_29 0 	/*P-029*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_30 1 	/*P-030*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_31 0 	/*P-031*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_32 0 	/*P-032*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_33 0 	/*P-033*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_34 0 	/*P-034*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_35 1 	/*P-035*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_36 1 	/*P-036*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_37 1 	/*P-037*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_38 1 	/*P-038*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_39 0 	/*P-039*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_40 0 	/*P-040*/
#define I2C_DBG_PREFIX_FORMAT_STR_PARAMS_41 1 	/*P-041*/
/* DIAG_PARSE_END_STRING_PARAM_SECTION   Note: This token marks the end of the string parameter section for the parser*/

#endif /* end of file */
