/***************************************************************************
 *                                                                         *
 *  Copyright (C) 2012 LSI Corporation.  All rights reserved.              *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corporation. The   *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  onfiDebug.h
 *          Title:  ONFI Debug macros and defintions
 *     Programmer:  Thibash Rajamani
 *  Creation Date:  18 Apr 2012
 *
 *
 * Description
 * ------------
 * This include file contains ONFI debug macros and defines.
 *
 *-------------------------------------------------------------------------
 */

#ifndef ONFI_DEBUG_HEADER
#define ONFI_DEBUG_HEADER

/* ONFI PRINT Constants
 * WARNING: this section is auto-generated.  Changes here will be overwritten
 * Make changes in onfiDebugTmpl.h or onfiDebugStrings.h
 */

#define ONFI_DBG_STR_MAX_INDEX		91

/* AUTOGEN_INDICES_START - NOTE: this token is needed for the build process */
#define ONFI_DBG_STR_HAL_DRIVER_USAGE			4097
#define ONFI_DBG_STR_HAL_DRIVER_INIITALIZATION			4098
#define ONFI_DBG_STR_HAL_DRIVER_INVALID_MAJOR_NO			4099
#define ONFI_DBG_STR_HAL_DRIVER_MEM_RESTORE_PROGRESS			4100
#define ONFI_DBG_STR_INT_PRINT_DESC_1			4101
#define ONFI_DBG_STR_INT_PRINT_DESC_2			4102
#define ONFI_DBG_STR_INT_PRINT_DESC_3			4103
#define ONFI_DBG_STR_INT_PRINT_DESC_4			4104
#define ONFI_DBG_STR_INT_PRINT_DESC_5			4105
#define ONFI_DBG_STR_INT_PRINT_DESC_6			4106
#define ONFI_DBG_STR_INT_PRINT_DESC_7			4107
#define ONFI_DBG_STR_INT_PRINT_DESC_8			4108
#define ONFI_DBG_STR_INT_PRINT_DESC_9			4109
#define ONFI_DBG_STR_INT_PRINT_DESC_10			4110
#define ONFI_DBG_STR_INT_PRINT_DESC_11			4111
#define ONFI_DBG_STR_INT_CHAR_DEV_REG_FAILED			4112
#define ONFI_DBG_STR_INT_DRIVER_REG_FAILED			4113
#define ONFI_DBG_STR_INT_FC_INIT_FAILED			4114
#define ONFI_DBG_STR_INT_FC_INIT_SUCCESS			4115
#define ONFI_DBG_STR_INT_DRIVER_READ			4116
#define ONFI_DBG_STR_INT_DRIVER_OPEN			4117
#define ONFI_DBG_STR_INT_DRIVER_OPEN_FAIL			4118
#define ONFI_DBG_STR_INT_DRIVER_CLOSE			4119
#define ONFI_DBG_STR_INT_DRIVER_EXIT			4120
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MAX_ARGS			4121
#define ONFI_DBG_STR_INT_DRIVER_WRITE_NUM_OF_ARGS			4122
#define ONFI_DBG_STR_INT_DRIVER_WRITE_ARGS			4123
#define ONFI_DBG_STR_INT_DRIVER_WRITE_PAGE_TRANSFER			4124
#define ONFI_DBG_STR_INT_DRIVER_WRITE_PAGE_TRANSFER_ERR			4125
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_1			4126
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_2			4127
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_3			4128
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_4			4129
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_5			4130
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_6			4131
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_7			4132
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_8			4133
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_9			4134
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_10			4135
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_11			4136
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_12			4137
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_13			4138
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_14			4139
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_15			4140
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_16			4141
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_17			4142
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_18			4143
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_19			4144
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_20			4145
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_21			4146
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_22			4147
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_23			4148
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_24			4149
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_25			4150
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_26			4151
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_27			4152
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_28			4153
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_29			4154
#define ONFI_DBG_STR_INT_DRIVER_WRITE_DEV_INFO_30			4155
#define ONFI_DBG_STR_INT_DRIVER_WRITE_RESET			4156
#define ONFI_DBG_STR_INT_DRIVER_WRITE_RESET_STATUS			4157
#define ONFI_DBG_STR_INT_DRIVER_WRITE_RESET_INVALID			4158
#define ONFI_DBG_STR_INT_DRIVER_WRITE_RESET_ALL			4159
#define ONFI_DBG_STR_INT_DRIVER_WRITE_BLOCK_ERASE			4160
#define ONFI_DBG_STR_INT_DRIVER_WRITE_BLOCK_ERASE_INV			4161
#define ONFI_DBG_STR_INT_DRIVER_WRITE_PAGE_ALLOC_FAIL			4162
#define ONFI_DBG_STR_INT_DRIVER_WRITE_PAGE_DATA			4163
#define ONFI_DBG_STR_INT_DRIVER_WRITE_PAGE_READ_FAIL			4164
#define ONFI_DBG_STR_INT_DRIVER_WRITE_PAGE_READ_INV			4165
#define ONFI_DBG_STR_INT_DRIVER_WRITE_BUFF_ALLOC_FAIL			4166
#define ONFI_DBG_STR_INT_DRIVER_WRITE_PAGE_WRITE			4167
#define ONFI_DBG_STR_INT_DRIVER_WRITE_PAGE_WRITE_INV			4168
#define ONFI_DBG_STR_INT_DRIVER_WRITE_COMMAND			4169
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_OFFLOAD			4170
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_OFFLOAD_CCR			4171
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_OFFLOAD_START			4172
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_OFFLOAD_FAIL			4173
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_OFFLOAD_INV			4174
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_RESTORE			4175
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_RESTORE_DESC			4176
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_RESTORE_DIS			4177
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_RESTORE_SUCC			4178
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_RESTORE_DIS_A			4179
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_RESTORE_FAIL			4180
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_REST_DESC_A			4181
#define ONFI_DBG_STR_INT_DRIVER_WRITE_MEM_RESTORE_INV			4182
#define ONFI_DBG_STR_EXT_MEM_SET			4183
#define ONFI_DBG_STR_EXT_DYN_MALLOC			4184
#define ONFI_DBG_STR_EXT_MEM_FREE			4185
#define ONFI_DBG_STR_EXT_FAULT			4186
#define ONFI_DBG_STR_EXT_VIRT_TO_PHY			4187
/* AUTOGEN_INDICES_END   - NOTE: this token is needed for the build process */
/* WARNING: the above defines are auto-generated from onfiDebugStrings.h */


/* WARNING: this section is auto-generated.  Changes here will be overwritten */
/* DIAG_PARSE_START_STRING_PARAM_SECTION Note: This token marks the start of the string parameter section for the parser*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_0 0 	/*P-000*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_1 0 	/*P-001*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_2 0 	/*P-002*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_3 1 	/*P-003*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_4 4 	/*P-004*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_5 0 	/*P-005*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_6 1 	/*P-006*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_7 2 	/*P-007*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_8 2 	/*P-008*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_9 1 	/*P-009*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_10 1 	/*P-010*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_11 1 	/*P-011*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_12 1 	/*P-012*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_13 1 	/*P-013*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_14 2 	/*P-014*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_15 2 	/*P-015*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_16 0 	/*P-016*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_17 0 	/*P-017*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_18 1 	/*P-018*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_19 1 	/*P-019*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_20 0 	/*P-020*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_21 0 	/*P-021*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_22 1 	/*P-022*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_23 0 	/*P-023*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_24 0 	/*P-024*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_25 0 	/*P-025*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_26 1 	/*P-026*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_27 2 	/*P-027*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_28 3 	/*P-028*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_29 0 	/*P-029*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_30 2 	/*P-030*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_31 1 	/*P-031*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_32 1 	/*P-032*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_33 1 	/*P-033*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_34 1 	/*P-034*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_35 1 	/*P-035*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_36 1 	/*P-036*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_37 1 	/*P-037*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_38 1 	/*P-038*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_39 1 	/*P-039*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_40 1 	/*P-040*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_41 1 	/*P-041*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_42 1 	/*P-042*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_43 1 	/*P-043*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_44 1 	/*P-044*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_45 0 	/*P-045*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_46 0 	/*P-046*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_47 0 	/*P-047*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_48 0 	/*P-048*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_49 0 	/*P-049*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_50 0 	/*P-050*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_51 0 	/*P-051*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_52 0 	/*P-052*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_53 0 	/*P-053*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_54 0 	/*P-054*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_55 0 	/*P-055*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_56 0 	/*P-056*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_57 0 	/*P-057*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_58 4 	/*P-058*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_59 0 	/*P-059*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_60 2 	/*P-060*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_61 3 	/*P-061*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_62 0 	/*P-062*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_63 0 	/*P-063*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_64 2 	/*P-064*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_65 0 	/*P-065*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_66 0 	/*P-066*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_67 4 	/*P-067*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_68 0 	/*P-068*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_69 0 	/*P-069*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_70 0 	/*P-070*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_71 1 	/*P-071*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_72 0 	/*P-072*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_73 0 	/*P-073*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_74 2 	/*P-074*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_75 1 	/*P-075*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_76 0 	/*P-076*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_77 0 	/*P-077*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_78 0 	/*P-078*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_79 2 	/*P-079*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_80 0 	/*P-080*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_81 2 	/*P-081*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_82 0 	/*P-082*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_83 2 	/*P-083*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_84 0 	/*P-084*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_85 0 	/*P-085*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_86 0 	/*P-086*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_87 3 	/*P-087*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_88 2 	/*P-088*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_89 1 	/*P-089*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_90 1 	/*P-090*/
#define ONFI_DBG_PREFIX_FORMAT_STR_PARAMS_91 3 	/*P-091*/
/* DIAG_PARSE_END_STRING_PARAM_SECTION   Note: This token marks the end of the string parameter section for the parser*/

#endif /* end of file */
