/***************************************************************************
 *                                                                         *
 *  Copyright (C) 2012 LSI Corporation.  All rights reserved.              *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corporation. The   *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  usbDebug.h
 *          Title:  USB Debug macros and defintions
 *     Programmer:  Naresh Bhalala
 *  Creation Date:  12 June 2012
 *
 *
 * Description
 * ------------
 * This include file contains USB debug macros and defines.
 *
 *-------------------------------------------------------------------------
 */

#ifndef USB_DEBUG_HEADER
#define USB_DEBUG_HEADER

/* USB PRINT Constants
 * WARNING: this section is auto-generated.  Changes here will be overwritten
 * Make changes in usbDebugTmpl.h or usbDebugStrings.h
 */

#define USB_DBG_STR_MAX_INDEX		174

/* AUTOGEN_INDICES_START - NOTE: this token is needed for the build process */
#define USB_DBG_STR_BRACKET_NEWLINE			36865
#define USB_DBG_STR_NEWLINE			36866
#define USB_DBG_STR_DATA_SEPRATOR			36867
#define USB_DBG_STR_HAL_DRIVER_SETUP_MEM_SETUP_ERR			36868
#define USB_DBG_STR_HAL_DRIVER_SETUP_CRAM_FREE_ADDR			36869
#define USB_DBG_STR_HAL_DRIVER_SETUP_COMPLETED			36870
#define USB_DBG_STR_HAL_DRIVER_CLEANUP_COMPLETE			36871
#define USB_DBG_STR_HAL_DRIVER_INIT_DONE			36872
#define USB_DBG_STR_HAL_DRIVER_EXIT			36873
#define USB_DBG_STR_HAL_DRIVER_INVALID_MAJOR_NO			36874
#define USB_DBG_STR_HAL_DRIVER_USAGE			36875
#define USB_DBG_STR_HAL_DRIVER_DEBUG_PORT			36876
#define USB_DBG_STR_HAL_DRIVER_DEBUG_PORT_SPEED			36877
#define USB_DBG_STR_HAL_DRIVER_DEBUG_STATUS			36878
#define USB_DBG_STR_HAL_DRIVER_DEBUG_STATUS_CURRNET			36879
#define USB_DBG_STR_HAL_DRIVER_DEBUG_PORT_ERR			36880
#define USB_DBG_STR_HAL_MEM_MGMT_DATA_INFO			36881
#define USB_DBG_STR_HAL_MEM_MGMT_SETUP_CRAM_FREE_ADDR_START			36882
#define USB_DBG_STR_HAL_MEM_MGMT_EXIT_VIR_ADDR_INFO			36883
#define USB_DBG_STR_HAL_MEM_MGMT_FREE_PTR_INFO			36884
#define USB_DBG_STR_HAL_MEM_MGMT_ALLOC_LEN_ADDR_INFO			36885
#define USB_DBG_STR_HAL_MEM_MGMT_ALLOC_MEM_FULL_INFO			36886
#define USB_DBG_STR_HAL_MEM_MGMT_ALLOC_MEMSET_CALLED			36887
#define USB_DBG_STR_HAL_MEM_MGMT_MOV_MEM_INFO			36888
#define USB_DBG_STR_HAL_MEM_MGMT_MOV_MEM_INFO_1			36889
#define USB_DBG_STR_HAL_MEM_MGMT_MOV_MEM_IO_REMAP_FAIL			36890
#define USB_DBG_STR_HAL_MEM_MGMT_MOV_MEM_FORMAT_ERR			36891
#define USB_DBG_STR_HAL_MEM_MGMT_MOV_MEM_DMA_ERR			36892
#define USB_DBG_STR_HAL_MEM_MGMT_MOV_MEM_SGE_ERR			36893
#define USB_DBG_STR_INT_DRIVER_OPEN_FAIL			36894
#define USB_DBG_STR_INT_DRIVER_OPEN_ERROR			36895
#define USB_DBG_STR_INT_DRIVER_OPEN			36896
#define USB_DBG_STR_INT_DRIVER_CLOSE_FAIL			36897
#define USB_DBG_STR_INT_DRIVER_CLOSE			36898
#define USB_DBG_STR_INT_DRIVER_READ_INFO_1			36899
#define USB_DBG_STR_INT_DRIVER_READ_INFO_2			36900
#define USB_DBG_STR_INT_DRIVER_READ_INFO_3			36901
#define USB_DBG_STR_INT_DRIVER_READ_INFO_4			36902
#define USB_DBG_STR_INT_DRIVER_READ_INFO_5			36903
#define USB_DBG_STR_INT_DRIVER_READ_FAIL			36904
#define USB_DBG_STR_INT_DRIVER_READ_INIT			36905
#define USB_DBG_STR_INT_DRIVER_WRITE_INFO_1			36906
#define USB_DBG_STR_INT_DRIVER_WRITE_INFO_2			36907
#define USB_DBG_STR_INT_DRIVER_WRITE_INFO_3			36908
#define USB_DBG_STR_INT_DRIVER_WRITE_INFO_4			36909
#define USB_DBG_STR_INT_DRIVER_WRITE_INFO_5			36910
#define USB_DBG_STR_INT_DRIVER_WRITE_FAIL			36911
#define USB_DBG_STR_INT_DRIVER_WRITE_INIT			36912
#define USB_DBG_STR_INT_DRIVER_INIT			36913
#define USB_DBG_STR_INT_DRIVER_INIT_TIMER_FAIL			36914
#define USB_DBG_STR_INT_DRIVER_INIT_INFO_2			36915
#define USB_DBG_STR_INT_DRIVER_INIT_INTERRUPT			36916
#define USB_DBG_STR_INT_DRIVER_INIT_SUCCESS			36917
#define USB_DBG_STR_INT_DRIVER_EXIT			36918
#define USB_DBG_STR_INT_DRIVER_IOCTL_INFO			36919
#define USB_DBG_STR_IOP_DRIVER_TIMER_PRINT			36920
#define USB_DBG_STR_IOP_DRIVER_TIMER_PRINT_1			36921
#define USB_DBG_STR_IOP_DRIVER_ALLOC_FAIL			36922
#define USB_DBG_STR_IOP_DRIVER_INIT_FAIL			36923
#define USB_DBG_STR_UTIL_STATUS_PRINT_GENERIC_BASE			36924
#define USB_DBG_STR_UTIL_STATUS_PRINT_STATUS_SUCCESS			36925
#define USB_DBG_STR_UTIL_STATUS_PRINT_STATUS_FAILURE			36926
#define USB_DBG_STR_UTIL_STATUS_PRINT_INVALID_PARAMETER			36927
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_GENERIC_BASE			36928
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_PROTOCOL			36929
#define USB_DBG_STR_UTIL_STATUS_PRINT_INSUFFICIENT_DATA			36930
#define USB_DBG_STR_UTIL_STATUS_PRINT_FAIL_ALLOC_MEMORY			36931
#define USB_DBG_STR_UTIL_STATUS_PRINT_INVALID_PORT_NUMBER			36932
#define USB_DBG_STR_UTIL_STATUS_PRINT_CTRLR_SOFT_RESET_FAIL			36933
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_PORT_SUSPEND_FAIL			36934
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_PORT_RESUME_FAIL			36935
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_PORT_ENABLE_DISABLE_FAIL			36936
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_PORT_POWER_ON_OFF_FAIL			36937
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_PORT_RESET_FAIL			36938
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_ASYNC_SCHED_FAIL			36939
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_BASE_CORE			36940
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_CORE_IDX_INVALID			36941
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_CORE_BUSY			36942
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_BASE_PORT			36943
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_PORT_NOT_ENABLED			36944
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_PORT_ALREADY_ENABLED			36945
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_PORT_NOT_SUSPENDED			36946
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_PORT_ALREADY_SUSPENDED			36947
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_BASE_ED			36948
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_END_DEVICE_BUSY			36949
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_END_DEVICE_NOT_PRESENT			36950
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_TIMER_INVALID_NUMBER			36951
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_TIMER_ALREADY_RUNNING			36952
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_TIMER_ALREADY_STOPPED			36953
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_BASE_MSC			36954
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_MSC_FATAL			36955
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_MSC_CMD			36956
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_MSC_DATA			36957
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_MSC_STATUS			36958
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_MSC_PHASE			36959
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_MSC_RETRY_CMD			36960
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_MSC_CMD_ERR			36961
#define USB_DBG_STR_UTIL_STATUS_PRINT_ERR_MSC_INIT_NOT_DONE			36962
#define USB_DBG_STR_UTIL_HEX_DUMP_SPACE			36963
#define USB_DBG_STR_UTIL_HEX_DUMP_INFO			36964
#define USB_DBG_STR_CORE_INTERRUPT_HANDLER_INFO_1			36965
#define USB_DBG_STR_CORE_INTERRUPT_HANDLER_FLAG_SAVE			36966
#define USB_DBG_STR_CORE_INTERRUPT_HANDLER_VECTOR			36967
#define USB_DBG_STR_CORE_INTERRUPT_HANDLER_INFO_2			36968
#define USB_DBG_STR_CORE_INTERRUPT_HANDLER_INFO_3			36969
#define USB_DBG_STR_CORE_INTERRUPT_HANDLER_FLAG_RESTORE			36970
#define USB_DBG_STR_CORE_INTERRUPT_HANDLER_DONE			36971
#define USB_DBG_STR_CORE_INTERRUPT_INIT			36972
#define USB_DBG_STR_CORE_INTERRUPT_INIT_VIRQ			36973
#define USB_DBG_STR_CORE_INTERRUPT_INIT_REQUEST			36974
#define USB_DBG_STR_CORE_INTERRUPT_INIT_REQUEST_FAIL			36975
#define USB_DBG_STR_CORE_INTERRUPT_INIT_VIRQ_FAIL			36976
#define USB_DBG_STR_CORE_INTERRUPT_INIT_COMPLETE			36977
#define USB_DBG_STR_IOCTL_HANDLER_INIT_INFO			36978
#define USB_DBG_STR_IOCTL_HANDLER_INIT_STATUS			36979
#define USB_DBG_STR_IOCTL_HANDLER_INIT_CALL_BACK_STATUS			36980
#define USB_DBG_STR_IOCTL_HANDLER_INIT_MEM_ALLOC_ERR			36981
#define USB_DBG_STR_IOCTL_HANDLER_INIT_STACK_INT_SUCC			36982
#define USB_DBG_STR_IOCTL_HANDLER_DISCOVERY_INFO			36983
#define USB_DBG_STR_IOCTL_HANDLER_DISCOVERY_DEV_STATUS			36984
#define USB_DBG_STR_IOCTL_HANDLER_DISCOVERY_DEVICE_SUCCESS			36985
#define USB_DBG_STR_IOCTL_HANDLER_PORT_STAT_INFO			36986
#define USB_DBG_STR_IOCTL_HANDLER_PORT_STAT_ERR			36987
#define USB_DBG_STR_IOCTL_HANDLER_ATTCH_DEV_INFO			36988
#define USB_DBG_STR_IOCTL_HANDLER_ATTCH_DEV_INIT_ERR			36989
#define USB_DBG_STR_IOCTL_HANDLER_ATTCH_DEV_FIND_ERR			36990
#define USB_DBG_STR_IOCTL_HANDLER_MSC_TUR_INFO			36991
#define USB_DBG_STR_IOCTL_HANDLER_MSC_TUR_SND_SUCCESS			36992
#define USB_DBG_STR_IOCTL_HANDLER_MSC_TUR_SND_ERR			36993
#define USB_DBG_STR_IOCTL_HANDLER_MSC_REQ_SENSE_INFO			36994
#define USB_DBG_STR_IOCTL_HANDLER_MSC_REQ_SENSE_SUCCESS			36995
#define USB_DBG_STR_IOCTL_HANDLER_MSC_REQ_SENSE_SND_ERR			36996
#define USB_DBG_STR_IOCTL_HANDLER_MSC_INQ_INFO			36997
#define USB_DBG_STR_IOCTL_HANDLER_MSC_INQ_INIT_SUCCESS			36998
#define USB_DBG_STR_IOCTL_HANDLER_MSC_INQ_SND_ERR			36999
#define USB_DBG_STR_IOCTL_HANDLER_MSC_READ_CAP_INFO			37000
#define USB_DBG_STR_IOCTL_HANDLER_MSC_READ_CAP_INIT_SUCCESS			37001
#define USB_DBG_STR_IOCTL_HANDLER_MSC_READ_CAP_SND_ERR			37002
#define USB_DBG_STR_IOCTL_HANDLER_SOFT_RST_INFO			37003
#define USB_DBG_STR_IOCTL_HANDLER_SOFT_RST_SUCCESS			37004
#define USB_DBG_STR_IOCTL_HANDLER_SOFT_RST_ERR			37005
#define USB_DBG_STR_IOCTL_HANDLER_HARD_RST_INFO			37006
#define USB_DBG_STR_IOCTL_HANDLER_HARD_RST_CLR_PORT			37007
#define USB_DBG_STR_IOCTL_HANDLER_HARD_RST_SUCCESS			37008
#define USB_DBG_STR_IOCTL_HANDLER_HARD_RST_ERR			37009
#define USB_DBG_STR_IOCTL_CALL_BACK_DONE_INFO			37010
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_IO_ERR			37011
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_IO_SUCCESS			37012
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_IO_SUCCESS_INFO			37013
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_SENSE_DATA_INFO_HEADER			37014
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_SENSE_DATA_INFO_ERR_CODE			37015
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_SENSE_DATA_INFO_SEGMENT_NO			37016
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_SENSE_DATA_INFO_SENSE_KEY			37017
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_SENSE_DATA_INFO_LEN			37018
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_SENSE_DATA_INFO_ASC			37019
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_SENSE_DATA_INFO_ASCQ			37020
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_SENSE_DATA_INFO_UNIT_CODE			37021
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_READ_CAP_DATA_HEADER			37022
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_READ_CAP_DATA_SECTOR_SIZE			37023
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_READ_CAP_DATA_LAST_LBA			37024
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_READ_CAP_DATA_DISK_SIZE			37025
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_INQ_SND_SUCCESS			37026
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_INQ_DATA_HEADER			37027
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_INQ_DATA_DEVICE_TYPE			37028
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_INQ_DATA_DEVICE_MODIFIER			37029
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_INQ_DATA_VERSION			37030
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_INQ_DATA_FORMAT			37031
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_INQ_DATA_LEN			37032
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_INQ_DATA_BITS			37033
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_INQ_DATA_VENDOR_ID			37034
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_INQ_DATA_INFO			37035
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_INQ_DATA_PRODUCT_ID			37036
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_IO_FAILURE			37037
#define USB_DBG_STR_IOCTL_CALL_BACK_SCSI_IO_FAILURE_INFO			37038
/* AUTOGEN_INDICES_END   - NOTE: this token is needed for the build process */
/* WARNING: the above defines are auto-generated from usbDebugStrings.h */


/* WARNING: this section is auto-generated.  Changes here will be overwritten */
/* DIAG_PARSE_START_STRING_PARAM_SECTION Note: This token marks the start of the string parameter section for the parser*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_0 0 	/*P-000*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_1 0 	/*P-001*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_2 0 	/*P-002*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_3 0 	/*P-003*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_4 0 	/*P-004*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_5 1 	/*P-005*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_6 0 	/*P-006*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_7 0 	/*P-007*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_8 0 	/*P-008*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_9 0 	/*P-009*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_10 1 	/*P-010*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_11 0 	/*P-011*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_12 1 	/*P-012*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_13 1 	/*P-013*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_14 1 	/*P-014*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_15 1 	/*P-015*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_16 1 	/*P-016*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_17 3 	/*P-017*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_18 1 	/*P-018*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_19 1 	/*P-019*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_20 1 	/*P-020*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_21 2 	/*P-021*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_22 2 	/*P-022*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_23 0 	/*P-023*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_24 4 	/*P-024*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_25 3 	/*P-025*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_26 0 	/*P-026*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_27 0 	/*P-027*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_28 0 	/*P-028*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_29 0 	/*P-029*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_30 0 	/*P-030*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_31 0 	/*P-031*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_32 0 	/*P-032*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_33 0 	/*P-033*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_34 0 	/*P-034*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_35 1 	/*P-035*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_36 0 	/*P-036*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_37 1 	/*P-037*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_38 2 	/*P-038*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_39 1 	/*P-039*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_40 3 	/*P-040*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_41 1 	/*P-041*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_42 1 	/*P-042*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_43 0 	/*P-043*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_44 1 	/*P-044*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_45 2 	/*P-045*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_46 1 	/*P-046*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_47 3 	/*P-047*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_48 1 	/*P-048*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_49 0 	/*P-049*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_50 0 	/*P-050*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_51 0 	/*P-051*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_52 0 	/*P-052*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_53 1 	/*P-053*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_54 0 	/*P-054*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_55 1 	/*P-055*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_56 4 	/*P-056*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_57 4 	/*P-057*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_58 0 	/*P-058*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_59 0 	/*P-059*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_60 0 	/*P-060*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_61 0 	/*P-061*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_62 0 	/*P-062*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_63 0 	/*P-063*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_64 0 	/*P-064*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_65 0 	/*P-065*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_66 0 	/*P-066*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_67 0 	/*P-067*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_68 0 	/*P-068*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_69 0 	/*P-069*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_70 0 	/*P-070*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_71 0 	/*P-071*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_72 0 	/*P-072*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_73 0 	/*P-073*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_74 0 	/*P-074*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_75 0 	/*P-075*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_76 0 	/*P-076*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_77 0 	/*P-077*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_78 0 	/*P-078*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_79 0 	/*P-079*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_80 0 	/*P-080*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_81 0 	/*P-081*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_82 0 	/*P-082*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_83 0 	/*P-083*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_84 0 	/*P-084*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_85 0 	/*P-085*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_86 0 	/*P-086*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_87 0 	/*P-087*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_88 0 	/*P-088*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_89 0 	/*P-089*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_90 0 	/*P-090*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_91 0 	/*P-091*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_92 0 	/*P-092*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_93 0 	/*P-093*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_94 0 	/*P-094*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_95 0 	/*P-095*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_96 0 	/*P-096*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_97 0 	/*P-097*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_98 0 	/*P-098*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_99 0 	/*P-099*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_100 1 	/*P-100*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_101 1 	/*P-101*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_102 1 	/*P-102*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_103 1 	/*P-103*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_104 0 	/*P-104*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_105 0 	/*P-105*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_106 1 	/*P-106*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_107 0 	/*P-107*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_108 0 	/*P-108*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_109 2 	/*P-109*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_110 2 	/*P-110*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_111 2 	/*P-111*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_112 1 	/*P-112*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_113 0 	/*P-113*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_114 1 	/*P-114*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_115 2 	/*P-115*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_116 2 	/*P-116*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_117 0 	/*P-117*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_118 0 	/*P-118*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_119 1 	/*P-119*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_120 2 	/*P-120*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_121 0 	/*P-121*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_122 1 	/*P-122*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_123 2 	/*P-123*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_124 1 	/*P-124*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_125 1 	/*P-125*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_126 1 	/*P-126*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_127 1 	/*P-127*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_128 1 	/*P-128*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_129 2 	/*P-129*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_130 1 	/*P-130*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_131 1 	/*P-131*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_132 2 	/*P-132*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_133 1 	/*P-133*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_134 1 	/*P-134*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_135 2 	/*P-135*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_136 1 	/*P-136*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_137 1 	/*P-137*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_138 2 	/*P-138*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_139 1 	/*P-139*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_140 1 	/*P-140*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_141 2 	/*P-141*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_142 1 	/*P-142*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_143 1 	/*P-143*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_144 1 	/*P-144*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_145 2 	/*P-145*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_146 2 	/*P-146*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_147 3 	/*P-147*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_148 2 	/*P-148*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_149 4 	/*P-149*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_150 0 	/*P-150*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_151 1 	/*P-151*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_152 1 	/*P-152*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_153 1 	/*P-153*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_154 1 	/*P-154*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_155 1 	/*P-155*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_156 1 	/*P-156*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_157 1 	/*P-157*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_158 0 	/*P-158*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_159 1 	/*P-159*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_160 1 	/*P-160*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_161 1 	/*P-161*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_162 1 	/*P-162*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_163 0 	/*P-163*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_164 1 	/*P-164*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_165 1 	/*P-165*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_166 1 	/*P-166*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_167 1 	/*P-167*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_168 1 	/*P-168*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_169 1 	/*P-169*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_170 0 	/*P-170*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_171 1 	/*P-171*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_172 0 	/*P-172*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_173 3 	/*P-173*/
#define USB_DBG_PREFIX_FORMAT_STR_PARAMS_174 3 	/*P-174*/
/* DIAG_PARSE_END_STRING_PARAM_SECTION   Note: This token marks the end of the string parameter section for the parser*/

#endif /* end of file */
