/***************************************************************************
 *                                                                         *
 *  Copyright (C) 2012 LSI Logic Corporation.  All rights reserved.        *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corporation. The   *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Logic Corporation.                              *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  usbDriverIoctlDefs.h
 *          Title:  USB driver IOCTL definitions header file.
 *     Programmer:  Sourin Sarkar
 *  Creation Date:  May 06, 2011
 *
 *  Version History
 *  ---------------
 *
 *  Date      Who     Description
 *  --------  ---     ------------------------------------------------------
 *  05/06/11  SS      Initial version.
 *
 * Description
 * ------------
 * This file contains the USB driver IOCTL definitions.
 *
 * -------------------------------------------------------------------------
 */

#ifndef USBDRIVERIOCTLDEFS_H_SOURCE
#define USBDRIVERIOCTLDEFS_H_SOURCE

/* ------------------------------------------------------------------------ */
/* Driver IOCTLs                                                            */
/* ------------------------------------------------------------------------ */

#define IOCTL_LSI_USB_BASE_CORE             (0x100)
#define IOCTL_LSI_USB_INIT                  (IOCTL_LSI_USB_BASE_CORE + 0x001)
#define IOCTL_LSI_USB_DISCOVER              (IOCTL_LSI_USB_BASE_CORE + 0x002)

#define IOCTL_LSI_USB_BASE_DIAG             (0x200)
#define IOCTL_LSI_USB_DIAG_GET_PORTSTAT     (IOCTL_LSI_USB_BASE_DIAG + 0x001)
#define IOCTL_LSI_USB_GET_ATTACHED_DEVINFO  (IOCTL_LSI_USB_BASE_DIAG + 0x002)

#define IOCTL_LSI_USB_BASE_MSC              (0x300)
#define IOCTL_LSI_USB_MSC_TUR               (IOCTL_LSI_USB_BASE_MSC + 0x001)
#define IOCTL_LSI_USB_MSC_REQSENSE          (IOCTL_LSI_USB_BASE_MSC + 0x002)
#define IOCTL_LSI_USB_MSC_INQUIRY           (IOCTL_LSI_USB_BASE_MSC + 0x003)
#define IOCTL_LSI_USB_MSC_READCAP           (IOCTL_LSI_USB_BASE_MSC + 0x004)

#define IOCTL_LSI_USB_BASE_HWCTRL           (0x400)
#define IOCTL_LSI_USB_HWCTRL_SOFTRESET      (IOCTL_LSI_USB_BASE_HWCTRL + 0x001)
#define IOCTL_LSI_USB_HWCTRL_HARDRESET      (IOCTL_LSI_USB_BASE_HWCTRL + 0x002)


/* USB IOCTL Status; Contains valid SCSI check condition data only if
   Status is not USB_STATUS_SUCCESS.
 */
typedef struct _USB_IOCTL_STATUS
{
    USB_STATUS          Status;
    USB_SCSI_STATUS     ScsiStatus;
    U8                  Reserved;

} USB_IOCTL_STATUS, *PTR_USB_IOCTL_STATUS;

#endif /* USBDRIVERIOCTLDEFS_H_SOURCE */

