/***************************************************************************
 *                                                                         *
 *  Copyright 2010-2011 LSI Corporation.  All rights reserved.             *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corp.  The         *
 *  receipt of or possession of this file does not convey any rights to    *
 *  reproduce or disclose its contents or to manufacture, use, or sell     *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  iopiProtosONFI.h
 *          Title:  ONFI to IOP Interface functions
 *     Programmer:  Thibash Rajamani
 *  Creation Date:  June 28, 2011
 *
 *
 * Description
 * ------------
 */

#ifndef IOPI_PROTOS_ONFI_H_INCLUDED
#define IOPI_PROTOS_ONFI_H_INCLUDED

void iopiFault(U32 FaultCode);
void iopiDelayUSec(U32 USec);
void * iopiMemSet(void * Ptr, U32 Val, U32 Len);
void * iopiDynMalloc(U32 ReqSize, U32 MemFlag);
void  iopiFree(void *ptr);

#ifdef __cplusplus
extern "C" {
#endif
int  mmuVirtualToPhysical(U32 VirtualAddress, PU64 PtrPhysicalAddress);
#ifdef __cplusplus
}
#endif

/* Console print routines */
void iopiDiagConsolePrint0(char * FmtStr);
void iopiDiagConsolePrint1(char * FmtStr, U32 Arg1);
void iopiDiagConsolePrint2(char * FmtStr, U32 Arg1, U32 Arg2);
void iopiDiagConsolePrint3(char * FmtStr, U32 Arg1, U32 Arg2, U32 Arg3);
void iopiDiagConsolePrint4(char * FmtStr, U32 Arg1, U32 Arg2, U32 Arg3, U32 Arg4);

/* API to update the progress of the restore */
void iopiMemoryRestoreProgress(U32 ChannelIndex, U32 BankIndex, U32 PercentComplete, U32 SecondsElapsed);

/* The following flags can be used for MALLOC routines */
#define IOPI_MEM_REGION_FAST        ((U32)0x00000001)
#define IOPI_MEM_REGION_PREFER_FAST ((U32)0x00000002)
#define IOPI_MEM_REGION_ANY_SPEED   ((U32)0x00000003)
#define IOPI_MEM_REGION_SLOW        ((U32)0x00000004)

#define IOPI_MEM_REGION_DMABLE      ((U32)0x00000010)
#define IOPI_MEM_REGION_OCM         ((U32)0x00000020)
#define IOPI_MEM_REGION_DDR         ((U32)0x00000040)

#define IOPI_MEM_REGION_CACHED      ((U32)0x00000100)
#define IOPI_MEM_REGION_MAPPED      ((U32)0x00000200)

#endif
