/***************************************************************************
 *                                                                         *
 *  Copyright 2012 LSI Corporation.  All rights reserved.                  *
 *                                                                         *
 *  This file is confidential and a trade secret of LSI Corporation.       *
 *  The receipt of or possession of this file does not convey any rights   *
 *  to reproduce or disclose its contents or to manufacture, use, or sell  *
 *  anything it may describe, in whole, or in part, without the specific   *
 *  written consent of LSI Corporation.                                    *
 *                                                                         *
 ***************************************************************************
 *
 *           Name:  iopCommon.h
 *          Title:  Header file for common IOP functions
 *     Programmer:  Nilesh Wilanker
 *     Modified  :  Naresh Madhusudana
 *  Creation Date:  Aug 9, 2011
 *
 *  Version History
 *  ---------------
 *
 *  Date      Who   Description
 *  --------  ---   --------------------------------------------------------
 *  08/09/11  NW    Initial version.
 *  08/23/11  NW    Added function iopiDelayUSec().
 *  10/06/11  NM    Porting this file for Invader
 *
 * Description
 * ------------
 * File containing the definitions for common IOP functions
 *
 *--------------------------------------------------------------------------
 */

#include "basetype.h"
#include "invader.h"
#include "ddr3Init.h"
#include "ddriIncludes.h"

#ifndef _IOP_COMMON_H
#define _IOP_COMMON_H

 void iopiDiagConsolePrint0(char *FmtStr);
 void iopiDiagConsolePrint1(char *FmtStr, U32 Arg1);
 void iopiDiagConsolePrint2(char *FmtStr, U32 Arg1, U32 Arg2);
 void iopiDiagConsolePrint3(char *FmtStr, U32 Arg1, U32 Arg2, U32 Arg3);
 void iopiDiagConsolePrint4(char *FmtStr, U32 Arg1, U32 Arg2, U32 Arg3, U32 Arg4);
 void iopinitDelayUSec     (U32 USec);
 
#endif  /* _IOP_COMMON_H */
